Generic IP camera via configuration.yaml is deprecated

Hello,

I see this error in the log : Loading generic IP camera via configuration.yaml is deprecated, it will be automatically imported. Once you have confirmed correct operation, please remove ‘generic’ (IP camera) section(s) from configuration.yaml

I only have these proxys in my config :

camera:
  - platform: proxy
    entity_id: camera.fi9900ep_voordeur
    name: Camera Voordeur Streamen
    stream_quality: 75
    mode: crop
    max_stream_width: 960
    max_stream_height: 540
  - platform: proxy
    entity_id: camera.fi9900ep_garage
    name: Camera Garage Streamen
    stream_quality: 75
    mode: crop
    max_stream_width: 960
    max_stream_height: 540

What should I do ?

Read the breaking changes, where it explains what to do.

In fact I have a problem when streaming my cameras to a Nest hub…

I have foscam camera’s, which I defined in the UI.

When I stream these on my Nest hub there is a time difference of about 30 seconds. So I defined proxys of these cameras (see my post), which gives only a time diffence of about 5 seconds (so almost real-time).

When creating generic camera via the UI (I defined both rtsp videostreams), I also get these time diffences of 30 seconds.

I think I have to change settings of the camera itself, but I don’t know what…

I hate everything about this. Not only does it completely break my custom scripts that build a .yaml config file for my generic cameras, that tiny box in the integrations UI us HORRIBLE to scroll though.

6 Likes

Thankfully the YAML config is not going anywhere, right? RIGHT??!!